Update a workflow job
curl --request PATCH \
--url https://api.getgranite.ai/api/workflow_jobs/{job_id} \
--header 'Content-Type: application/json' \
--data '
{
"manual_edits": {},
"status": "<string>",
"workflow_data": {}
}
'import requests
url = "https://api.getgranite.ai/api/workflow_jobs/{job_id}"
payload = {
"manual_edits": {},
"status": "<string>",
"workflow_data": {}
}
headers = {"Content-Type": "application/json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({manual_edits: {}, status: '<string>', workflow_data: {}})
};
fetch('https://api.getgranite.ai/api/workflow_jobs/{job_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"job_id": "<string>",
"user_id": "<string>",
"org_id": "<string>",
"name": "<string>",
"prompt": "<string>",
"status": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"workflow_data": {},
"http_method": "<string>",
"api_endpoint": "<string>",
"parameters_schema": {},
"results_schema": {},
"manual_edits": {},
"completed_at": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Automations
Update Job
Update manual edits or status of a workflow job
PATCH
/
api
/
workflow_jobs
/
{job_id}
Update a workflow job
Path Parameters
Body
application/json
Response
Successful Response
Response containing workflow job information
Unique job identifier
User who created the job
Organization ID
Workflow job name
Automation task description
Job status (draft, ready, executing, completed, failed)
Creation timestamp
Last update timestamp
Workflow data structure
HTTP method (GET, POST, PUT, DELETE)
API endpoint URL
JSON schema for API parameters
JSON schema for API results
Manual edits to workflow
Completion timestamp